//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef GUI_ABOUT_H
#define GUI_ABOUT_H

#include <qwidget.h>

//forward declarations
class QGridLayout;
class QLabel;
class QPixmap;

//=====================================
/*! \brief About window widget
 */
//=====================================

//======================
class About : public QWidget
{
Q_OBJECT
//----------------------
public:
  About( QWidget *parent=0, const char* name=0);
  void closeEvent( QCloseEvent* e);
//----------------------
signals:
  void aboutClosed();
//----------------------
private:
  QGridLayout* grid;
  QLabel* progDesc;
  QLabel* progIcon;
  QPixmap* progImage;
//----------------------
};
//======================

#endif //GUI_ABOUT_H
